Bug 78817 - Compaq Evo N600c: X freeze while running on battery
Compaq Evo N600c: X freeze while running on battery
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-01 06:47 EST by Ronan Waide
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X Config file (3.62 KB, text/plain)
2002-12-02 07:21 EST, Ronan Waide
no flags Details
X Log file (24.73 KB, text/plain)
2002-12-02 07:22 EST, Ronan Waide
no flags Details
dmesg output (7.56 KB, text/plain)
2002-12-16 16:47 EST, Ronan Waide
no flags Details
/var/log/messages from boot to shutdown (20.83 KB, text/plain)
2002-12-16 16:50 EST, Ronan Waide
no flags Details

  None (edit)
Description Ronan Waide 2002-12-01 06:47:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021127

Description of problem:
X freezes up after the screen blanks while running on battery power

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start up on battery power
2. Wait for screen to blank
3. Press a key
	

Actual Results:  On restoring the screen (e.g. pressing a key) X is frozen -
doesn't respond to keyboard or mouse activity. The machine is still live and can
be connected to with SSH.

Expected Results:  X should be functional

Additional info:

Compaq Evo 600c
Red Hat 7.3 with full set of updates

The chipset is an ATI Mobility M6:
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon Mobility M6 LY
(prog-if 00 [VGA])
        Subsystem: Compaq Computer Corporation: Unknown device b111
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at 48000000 (32-bit, prefetchable) [size=128M]
        Region 1: I/O ports at 3000 [size=256]
        Region 2: Memory at 40200000 (32-bit, non-prefetchable) [size=64K]
        Expansion ROM at <unassigned> [disabled] [size=128K]
        Capabilities: [58] AGP version 2.0
                Status: RQ=47 SBA+ 64bit- FW- Rate=x1,x2
                Command: RQ=0 SBA+ AGP- 64bit- FW- Rate=<none>
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 1 Mike A. Harris 2002-12-02 03:07:14 EST
Please attach your X server log and config file using the link below.
Comment 2 Ronan Waide 2002-12-02 07:21:25 EST
Created attachment 87027 [details]
X Config file
Comment 3 Ronan Waide 2002-12-02 07:22:56 EST
Created attachment 87028 [details]
X Log file
Comment 4 Ronan Waide 2002-12-02 07:25:37 EST
Note that even with the nodpms option set, I'm still getting DPMS support;
additionally, DRI is disabled because it appears to cause a lockup when
switching to/from VCs. The latter is something I can live with, since I don't do
anything that requires DRI.
Comment 5 Ronan Waide 2002-12-14 19:00:56 EST
Ok, cancel it being an X bug. I just had exactly the same thing happen in
runlevel 3 running a text console.
Comment 6 Mike A. Harris 2002-12-15 10:38:44 EST
Please attach your /var/log/messages

If you can trigger this easily at will, just prior to triggering the problem,
do:  "lsmod > lsmod.txt" then trigger the bug.  Attach the lsmod.txt to the
bug report.

Comment 7 Ronan Waide 2002-12-16 16:43:52 EST
Yes, I can trigger this at will - boot in single user mode, init 3, pull the
power cable, wait. Hitting a key lights up the screen but does not restore any
visible text. /proc/interrupts shows no updates from either the keyboard or the
mouse. I'm attaching a from-boot dmesg, /var/log/messages, and the lsmod output
is as follows:

Module                  Size  Used by    Not tainted
binfmt_misc             7236   1 
ds                      8416   2 
yenta_socket           12000   2 
pcmcia_core            49888   0  [ds yenta_socket]
autofs                 11172   0  (autoclean) (unused)
eepro100               20240   1  (autoclean)
ipx                    19604   1  (autoclean)
ide-cd                 30144   0  (autoclean)
cdrom                  31936   0  (autoclean) [ide-cd]
nls_iso8859-1           3488   1  (autoclean)
nls_cp437               5120   1  (autoclean)
vfat                   11804   1  (autoclean)
fat                    36152   0  (autoclean) [vfat]
usb-uhci               24324   0  (unused)
usbcore                71072   1  [usb-uhci]
ext3                   64800   2 
jbd                    47892   2  [ext3]
Comment 8 Ronan Waide 2002-12-16 16:47:42 EST
Created attachment 88769 [details]
dmesg output
Comment 9 Ronan Waide 2002-12-16 16:50:48 EST
Created attachment 88770 [details]
/var/log/messages from boot to shutdown

Note that there's nothing in the failure period at all. Just a mention that
we're gone to Battery Power.
Comment 10 Mike A. Harris 2002-12-18 15:40:42 EST
>Ok, cancel it being an X bug. I just had exactly the same thing happen in
>runlevel 3 running a text console.

Reassigning to kernel component.

Comment 11 Ronan Waide 2003-01-27 11:03:48 EST
The problem is still happening with the newest Red Hat Kernel (2.4.18-19.7.x). 
I'd appreciate if I could get some feedback on this, since it's a pretty 
serious bug. I'm happy to go poking about in the kernel source if that's 
required, but it would help to have an indication of likely culprits.
Comment 12 Ronan Waide 2003-02-19 09:28:31 EST
Problem still occurs on the 24-7.x kernel. I have also found a workaround:
pressing the suspend button after the display freezes, letting the machine
suspend itself, then pressing the suspend button again to revive it brings
everything back to life.
Comment 13 Bugzilla owner 2004-09-30 11:40:15 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.